<?php

/**
 * Fired when the plugin is uninstalled.
 *
 * When populating this file, consider the following flow
 * of control:
 *
 * - This method should be static
 * - Check if the $_REQUEST content actually is the plugin name
 * - Run an admin referrer check to make sure it goes through authentication
 * - Verify the output of $_GET makes sense
 * - Repeat with other user roles. Best directly by using the links/query string parameters.
 * - Repeat things for multisite. Once for a single site in the network, once sitewide.
 *
 * This file may be updated more in future version of the Boilerplate; however, this is the
 * general skeleton and outline for how the file should work.
 *
 * For more information, see the following discussion:
 * https://github.com/tommcfarlin/WordPress-Plugin-Boilerplate/pull/123#issuecomment-28541913
 *
 * @author		Sheroz Khaydarov http://sheroz.com
 * @license		GNU General Public License, version 2
 * @license		http://www.gnu.org/licenses/gpl-2.0.html
 * @link		https://github.com/sheroz/wp-wordapp-plugin
 * @since		1.0.0
 * @package		Wordapp
 */

// If uninstall not called from WordPress, then exit.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}

require_once plugin_dir_path( __FILE__ ) . 'includes/pdx.php';
// Seems at this stage it is not practical to clean configuration after uninstalling,
// otherwise we need to configure plugins again
// wa_pdx_config_clear();
